com.corticon.rulesemf.canonicalvocabularymodel

## Interface RootExtension

- All Superinterfaces:
    Asset, org.eclipse.emf.ecore.EObject, NamedExtension, org.eclipse.emf.common.notify.Notifier

      public interface RootExtension
      extends Asset, NamedExtension

  A representation of the model object 'Root Extension'.

  The following features are supported:

  - `Selection`
  - `Custom Data Type Display Count`
  - `Vocabulary Cache`
  - `Database Access`
  - `Custom Data Type List`
  - `Extended Persistent Attributes`
  - `Database Metadata`
  - `Java Metadata`
  - `Current Custom Data Type`
  - `Current Vocabulary Element`
  See Also:
    `CanonicalvocabularymodelPackage.getRootExtension()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomDataType` | `getCurrentCustomDataType()` Returns the value of the 'Current Custom Data Type' reference
    `org.eclipse.emf.ecore.ENamedElement` | `getCurrentVocabularyElement()` Returns the value of the 'Current Vocabulary Element' reference
    `int` | `getCustomDataTypeDisplayCount()` Returns the value of the 'Custom Data Type Display Count' attribute
    `org.eclipse.emf.common.util.EList` | `getCustomDataTypeList()` Returns the value of the 'Custom Data Type List' containment reference list.
    `DatabaseAccess` | `getDatabaseAccess()` Returns the value of the 'Database Access' containment reference
    `DatabaseMetadata` | `getDatabaseMetadata()` Returns the value of the 'Database Metadata' containment reference
    `org.eclipse.emf.common.util.EList` | `getExtendedPersistentAttributes()` Returns the value of the 'Extended Persistent Attributes' containment reference list.
    `JavaMetadata` | `getJavaMetadata()` Returns the value of the 'Java Metadata' containment reference
    `com.corticon.eclipse.core.util.Selection` | `getSelection()` Returns the value of the 'Selection' attribute
    `java.lang.Object` | `getVocabularyCache()` Returns the value of the 'Vocabulary Cache' attribute
    `void` | `setCurrentCustomDataType(CustomDataType value)` Sets the value of the '`Current Custom Data Type`' reference
    `void` | `setCurrentVocabularyElement(org.eclipse.emf.ecore.ENamedElement value)` Sets the value of the '`Current Vocabulary Element`' reference
    `void` | `setCustomDataTypeDisplayCount(int value)` Sets the value of the '`Custom Data Type Display Count`' attribute
    `void` | `setDatabaseAccess(DatabaseAccess value)` Sets the value of the '`Database Access`' containment reference
    `void` | `setDatabaseMetadata(DatabaseMetadata value)` Sets the value of the '`Database Metadata`' containment reference
    `void` | `setJavaMetadata(JavaMetadata value)` Sets the value of the '`Java Metadata`' containment reference
    `void` | `setSelection(com.corticon.eclipse.core.util.Selection value)` Sets the value of the '`Selection`' attribute
    `void` | `setVocabularyCache(java.lang.Object value)` Sets the value of the '`Vocabulary Cache`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.common.Asset

      `getBuildNumber, getExternalChecksum, getLanguageCode, getMajorServiceNumber, getMajorVersionNumber, getMinorServiceNumber, getMinorVersionNumber, getResourcesReferenced, getResourceURIsReferenced, getUpdateStamp, getValidationMessages, getValidationRequest, isReadOnly, setBuildNumber, setExternalChecksum, setMajorServiceNumber, setMajorVersionNumber, setMinorServiceNumber, setMinorVersionNumber, setReadOnly, setUpdateStamp, setValidationRequest`

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalvocabularymodel.NamedExtension

      `getGuid, getName, getSource, setGuid, setSource`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSelection

          com.corticon.eclipse.core.util.Selection getSelection()

      Returns the value of the 'Selection' attribute.

      If the meaning of the 'Selection' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Selection' attribute.
      See Also:
        `setSelection(Selection)`, `CanonicalvocabularymodelPackage.getRootExtension_Selection()`

    - #### setSelection

          void setSelection(com.corticon.eclipse.core.util.Selection value)

      Sets the value of the '`Selection`' attribute.
      Parameters:
        `value` - the new value of the 'Selection' attribute.
      See Also:
        `getSelection()`

    - #### getCurrentVocabularyElement

          org.eclipse.emf.ecore.ENamedElement getCurrentVocabularyElement()

      Returns the value of the 'Current Vocabulary Element' reference.

      If the meaning of the 'Current Vocabulary Element' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Current Vocabulary Element' reference.
      See Also:
        `setCurrentVocabularyElement(ENamedElement)`, `CanonicalvocabularymodelPackage.getRootExtension_CurrentVocabularyElement()`

    - #### setCurrentVocabularyElement

          void setCurrentVocabularyElement(org.eclipse.emf.ecore.ENamedElement value)

      Sets the value of the '`Current Vocabulary Element`' reference.
      Parameters:
        `value` - the new value of the 'Current Vocabulary Element' reference.
      See Also:
        `getCurrentVocabularyElement()`

    - #### getCurrentCustomDataType

          CustomDataType getCurrentCustomDataType()

      Returns the value of the 'Current Custom Data Type' reference.

      If the meaning of the 'Current Custom Data Type' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Current Custom Data Type' reference.
      See Also:
        `setCurrentCustomDataType(CustomDataType)`, `CanonicalvocabularymodelPackage.getRootExtension_CurrentCustomDataType()`

    - #### setCurrentCustomDataType

          void setCurrentCustomDataType(CustomDataType value)

      Sets the value of the '`Current Custom Data Type`' reference.
      Parameters:
        `value` - the new value of the 'Current Custom Data Type' reference.
      See Also:
        `getCurrentCustomDataType()`

    - #### getCustomDataTypeDisplayCount

          int getCustomDataTypeDisplayCount()

      Returns the value of the 'Custom Data Type Display Count' attribute.

      If the meaning of the 'Custom Data Type Display Count' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Custom Data Type Display Count' attribute.
      See Also:
        `setCustomDataTypeDisplayCount(int)`, `CanonicalvocabularymodelPackage.getRootExtension_CustomDataTypeDisplayCount()`

    - #### setCustomDataTypeDisplayCount

          void setCustomDataTypeDisplayCount(int value)

      Sets the value of the '`Custom Data Type Display Count`' attribute.
      Parameters:
        `value` - the new value of the 'Custom Data Type Display Count' attribute.
      See Also:
        `getCustomDataTypeDisplayCount()`

    - #### getVocabularyCache

          java.lang.Object getVocabularyCache()

      Returns the value of the 'Vocabulary Cache' attribute.

      If the meaning of the 'Vocabulary Cache' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Vocabulary Cache' attribute.
      See Also:
        `setVocabularyCache(Object)`, `CanonicalvocabularymodelPackage.getRootExtension_VocabularyCache()`

    - #### setVocabularyCache

          void setVocabularyCache(java.lang.Object value)

      Sets the value of the '`Vocabulary Cache`' attribute.
      Parameters:
        `value` - the new value of the 'Vocabulary Cache' attribute.
      See Also:
        `getVocabularyCache()`

    - #### getDatabaseAccess

          DatabaseAccess getDatabaseAccess()

      Returns the value of the 'Database Access' containment reference.

      If the meaning of the 'Database Access' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Database Access' containment reference.
      See Also:
        `setDatabaseAccess(DatabaseAccess)`, `CanonicalvocabularymodelPackage.getRootExtension_DatabaseAccess()`

    - #### setDatabaseAccess

          void setDatabaseAccess(DatabaseAccess value)

      Sets the value of the '`Database Access`' containment reference.
      Parameters:
        `value` - the new value of the 'Database Access' containment reference.
      See Also:
        `getDatabaseAccess()`

    - #### getCustomDataTypeList

          org.eclipse.emf.common.util.EList getCustomDataTypeList()

      Returns the value of the 'Custom Data Type List' containment reference list. The list contents are of type `CustomDataType`.

      If the meaning of the 'Custom Data Type List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Custom Data Type List' containment reference list.
      See Also:
        `CanonicalvocabularymodelPackage.getRootExtension_CustomDataTypeList()`

    - #### getExtendedPersistentAttributes

          org.eclipse.emf.common.util.EList getExtendedPersistentAttributes()

      Returns the value of the 'Extended Persistent Attributes' containment reference list. The list contents are of type `ExtendedPersistentAttributes`.

      If the meaning of the 'Extended Persistent Attributes' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Extended Persistent Attributes' containment reference list.
      See Also:
        `CanonicalvocabularymodelPackage.getRootExtension_ExtendedPersistentAttributes()`

    - #### getDatabaseMetadata

          DatabaseMetadata getDatabaseMetadata()

      Returns the value of the 'Database Metadata' containment reference.

      If the meaning of the 'Database Metadata' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Database Metadata' containment reference.
      See Also:
        `setDatabaseMetadata(DatabaseMetadata)`, `CanonicalvocabularymodelPackage.getRootExtension_DatabaseMetadata()`

    - #### setDatabaseMetadata

          void setDatabaseMetadata(DatabaseMetadata value)

      Sets the value of the '`Database Metadata`' containment reference.
      Parameters:
        `value` - the new value of the 'Database Metadata' containment reference.
      See Also:
        `getDatabaseMetadata()`

    - #### getJavaMetadata

          JavaMetadata getJavaMetadata()

      Returns the value of the 'Java Metadata' containment reference.

      If the meaning of the 'Java Metadata' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Java Metadata' containment reference.
      See Also:
        `setJavaMetadata(JavaMetadata)`, `CanonicalvocabularymodelPackage.getRootExtension_JavaMetadata()`

    - #### setJavaMetadata

          void setJavaMetadata(JavaMetadata value)

      Sets the value of the '`Java Metadata`' containment reference.
      Parameters:
        `value` - the new value of the 'Java Metadata' containment reference.
      See Also:
        `getJavaMetadata()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.